{% extends 'analytics/base.html' %}

{% block content %}
    <h1>ShelfShare Analytics Dashboard</h1>

    <div class="statistics-row">
        <div class="statistic-item">
            <h2>Total Number of Users</h2>
            <p>{{ total_users }}</p>
        </div>
        <div class="statistic-item">
            <h2>Total Number of Books</h2>
            <p>{{ total_books }}</p>
        </div>
    </div>
    <div>
        <h2>Top 10 Books</h2>
        <div id="plot_top_10_books">
            {{ plot_top_10_books|safe }}
        </div>
    </div>

    <div>
        <h2>Ratings Distribution</h2>
        <div id="plot_ratings_histogram">
            {{ plot_ratings_histogram|safe }}
        </div>
    </div>
    <div>
        <h2>Most read books</h2>
        <div id="plot_most_read_books">
            {{ plot_most_read_books|safe }}
        </div>
    </div>
    <h2>Newest Users</h2>
    <ul>
        {% for user in newest_users %}
            <li><a href="{% url 'user-profile' user.id %}">{{ user.username }}</a></li>
        {% empty %}
            <li>No new users available.</li>
        {% endfor %}
    </ul>
    <div>
        <h2>Number of users left for different cutoff for dumber of ratings</h2>
        <div id="plot_no_users_histogram">
            {{ plot_no_users_histogram|safe }}
    </div>
    <style>
        .statistics-row {
            display: flex;
            justify-content: space-around;
            margin-bottom: 20px;
        }
        .statistic-item {
            flex-basis: 45%; /* Adjust this as needed */
            text-align: center;
        }
    </style>

{% endblock %}
